Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp TODO
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/spreadsheet
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
113         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
114         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
122         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
123         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
124         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
125         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
161         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
162         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libscispreadsheet_algo_la_LIBADD =
165 am__objects_1 = libscispreadsheet_algo_la-xls.lo \
166         libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
167         libscispreadsheet_algo_la-csvDefault.lo \
168         libscispreadsheet_algo_la-csvRead.lo \
169         libscispreadsheet_algo_la-csvWrite.lo \
170         libscispreadsheet_algo_la-getRange.lo \
171         libscispreadsheet_algo_la-splitLine.lo \
172         libscispreadsheet_algo_la-utftolatin.lo
173 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
174         libscispreadsheet_algo_la-pldstr.lo \
175         libscispreadsheet_algo_la-ole.lo \
176         libscispreadsheet_algo_la-bytedecoders.lo \
177         libscispreadsheet_algo_la-logger.lo \
178         libscispreadsheet_algo_la-ripole.lo \
179         libscispreadsheet_algo_la-bt-int.lo
180 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
181         $(am__objects_2)
182 libscispreadsheet_algo_la_OBJECTS =  \
183         $(am_libscispreadsheet_algo_la_OBJECTS)
184 AM_V_lt = $(am__v_lt_@AM_V@)
185 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186 am__v_lt_0 = --silent
187 am__v_lt_1 = 
188 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
189 am__objects_3 = libscispreadsheet_la-sci_xls_read.lo \
190         libscispreadsheet_la-sci_xls_open.lo
191 am__objects_4 = libscispreadsheet_la-gw_spreadsheet.lo \
192         libscispreadsheet_la-gw_csv_helpers.lo \
193         libscispreadsheet_la-sci_csvDefault.lo \
194         libscispreadsheet_la-sci_csvRead.lo \
195         libscispreadsheet_la-sci_csvStringToDouble.lo \
196         libscispreadsheet_la-sci_csvTextScan.lo \
197         libscispreadsheet_la-sci_csvWrite.lo
198 am_libscispreadsheet_la_OBJECTS = $(am__objects_3) $(am__objects_4)
199 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
200 AM_V_P = $(am__v_P_@AM_V@)
201 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
202 am__v_P_0 = false
203 am__v_P_1 = :
204 AM_V_GEN = $(am__v_GEN_@AM_V@)
205 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
206 am__v_GEN_0 = @echo "  GEN     " $@;
207 am__v_GEN_1 = 
208 AM_V_at = $(am__v_at_@AM_V@)
209 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
210 am__v_at_0 = @
211 am__v_at_1 = 
212 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
213 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
214 am__depfiles_maybe = depfiles
215 am__mv = mv -f
216 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
217         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
218 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
220         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
221         $(AM_CFLAGS) $(CFLAGS)
222 AM_V_CC = $(am__v_CC_@AM_V@)
223 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
224 am__v_CC_0 = @echo "  CC      " $@;
225 am__v_CC_1 = 
226 CCLD = $(CC)
227 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
229         $(AM_LDFLAGS) $(LDFLAGS) -o $@
230 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
231 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
232 am__v_CCLD_0 = @echo "  CCLD    " $@;
233 am__v_CCLD_1 = 
234 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
235         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
236 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
237         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
238         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
239         $(AM_CXXFLAGS) $(CXXFLAGS)
240 AM_V_CXX = $(am__v_CXX_@AM_V@)
241 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
242 am__v_CXX_0 = @echo "  CXX     " $@;
243 am__v_CXX_1 = 
244 CXXLD = $(CXX)
245 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
247         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
248 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
249 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
250 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
251 am__v_CXXLD_1 = 
252 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
253         $(libscispreadsheet_la_SOURCES)
254 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
255         $(libscispreadsheet_la_SOURCES)
256 am__can_run_installinfo = \
257   case $$AM_UPDATE_INFO_DIR in \
258     n|no|NO) false;; \
259     *) (install-info --version) >/dev/null 2>&1;; \
260   esac
261 DATA = $(libscispreadsheet_la_etc_DATA) \
262         $(libscispreadsheet_la_root_DATA) \
263         $(libscispreadsheet_la_sci_gateway_DATA)
264 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
265 # Read a list of newline-separated strings from the standard input,
266 # and print each of them once, without duplicates.  Input order is
267 # *not* preserved.
268 am__uniquify_input = $(AWK) '\
269   BEGIN { nonempty = 0; } \
270   { items[$$0] = 1; nonempty = 1; } \
271   END { if (nonempty) { for (i in items) print i; }; } \
272 '
273 # Make sure the list of sources is unique.  This is necessary because,
274 # e.g., the same source file might be shared among _SOURCES variables
275 # for different programs/libraries.
276 am__define_uniq_tagged_files = \
277   list='$(am__tagged_files)'; \
278   unique=`for i in $$list; do \
279     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
280   done | $(am__uniquify_input)`
281 ETAGS = etags
282 CTAGS = ctags
283 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
284 ACLOCAL = @ACLOCAL@
285 ALL_LINGUAS = @ALL_LINGUAS@
286 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
287 AMTAR = @AMTAR@
288 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
289 ANT = @ANT@
290 ANTLR = @ANTLR@
291 AR = @AR@
292 ARPACK_LIBS = @ARPACK_LIBS@
293 ASM3 = @ASM3@
294 AUTOCONF = @AUTOCONF@
295 AUTOHEADER = @AUTOHEADER@
296 AUTOMAKE = @AUTOMAKE@
297 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
298 AWK = @AWK@
299 BATIK = @BATIK@
300 BLAS_LIBS = @BLAS_LIBS@
301 CC = @CC@
302 CCACHE = @CCACHE@
303 CCDEPMODE = @CCDEPMODE@
304 CFLAGS = @CFLAGS@
305 CHECKSTYLE = @CHECKSTYLE@
306 COBERTURA = @COBERTURA@
307 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
308 COMMONS_IO = @COMMONS_IO@
309 COMMONS_LOGGING = @COMMONS_LOGGING@
310 CPP = @CPP@
311 CPPFLAGS = @CPPFLAGS@
312 CURL_CFLAGS = @CURL_CFLAGS@
313 CURL_CONFIG = @CURL_CONFIG@
314 CURL_LIBS = @CURL_LIBS@
315 CURL_VERSION = @CURL_VERSION@
316 CXX = @CXX@
317 CXXCPP = @CXXCPP@
318 CXXDEPMODE = @CXXDEPMODE@
319 CXXFLAGS = @CXXFLAGS@
320 CYGPATH_W = @CYGPATH_W@
321 DEFS = @DEFS@
322 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
323 DEPDIR = @DEPDIR@
324 DOCBOOK_ROOT = @DOCBOOK_ROOT@
325 DOXYGEN_BIN = @DOXYGEN_BIN@
326 DSYMUTIL = @DSYMUTIL@
327 DUMPBIN = @DUMPBIN@
328 ECHO_C = @ECHO_C@
329 ECHO_N = @ECHO_N@
330 ECHO_T = @ECHO_T@
331 EGREP = @EGREP@
332 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
333 EXEEXT = @EXEEXT@
334 F77 = @F77@
335 FFLAGS = @FFLAGS@
336 FFTW3_LIB = @FFTW3_LIB@
337 FFTW_ENABLE = @FFTW_ENABLE@
338 FGREP = @FGREP@
339 FLEXDOCK = @FLEXDOCK@
340 FLIBS = @FLIBS@
341 FOP = @FOP@
342 GENHTML = @GENHTML@
343 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
344 GIWS_BIN = @GIWS_BIN@
345 GLUEGEN2_RT = @GLUEGEN2_RT@
346 GMSGFMT = @GMSGFMT@
347 GMSGFMT_015 = @GMSGFMT_015@
348 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
349 GREP = @GREP@
350 GUI_ENABLE = @GUI_ENABLE@
351 HDF5_CFLAGS = @HDF5_CFLAGS@
352 HDF5_LIBS = @HDF5_LIBS@
353 HELP_ENABLE = @HELP_ENABLE@
354 INSTALL = @INSTALL@
355 INSTALL_DATA = @INSTALL_DATA@
356 INSTALL_PROGRAM = @INSTALL_PROGRAM@
357 INSTALL_SCRIPT = @INSTALL_SCRIPT@
358 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
359 INTLLIBS = @INTLLIBS@
360 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
361 JAR = @JAR@
362 JAVA = @JAVA@
363 JAVAC = @JAVAC@
364 JAVAC_DEBUG = @JAVAC_DEBUG@
365 JAVADOC = @JAVADOC@
366 JAVAH = @JAVAH@
367 JAVASCI_ENABLE = @JAVASCI_ENABLE@
368 JAVA_ENABLE = @JAVA_ENABLE@
369 JAVA_G = @JAVA_G@
370 JAVA_HOME = @JAVA_HOME@
371 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
372 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
373 JDB = @JDB@
374 JEUCLID_CORE = @JEUCLID_CORE@
375 JGRAPHX = @JGRAPHX@
376 JHALL = @JHALL@
377 JLATEXMATH = @JLATEXMATH@
378 JLATEXMATH_FOP = @JLATEXMATH_FOP@
379 JOGL2 = @JOGL2@
380 JROSETTA_API = @JROSETTA_API@
381 JROSETTA_ENGINE = @JROSETTA_ENGINE@
382 JUNIT4 = @JUNIT4@
383 LAPACK_LIBS = @LAPACK_LIBS@
384 LCOV = @LCOV@
385 LD = @LD@
386 LDFLAGS = @LDFLAGS@
387 LEX = @LEX@
388 LEXLIB = @LEXLIB@
389 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
390 LIBICONV = @LIBICONV@
391 LIBINTL = @LIBINTL@
392 LIBM = @LIBM@
393 LIBOBJS = @LIBOBJS@
394 LIBS = @LIBS@
395 LIBTOOL = @LIBTOOL@
396 LIPO = @LIPO@
397 LN_S = @LN_S@
398 LOGGING_LEVEL = @LOGGING_LEVEL@
399 LOOKS = @LOOKS@
400 LTLIBICONV = @LTLIBICONV@
401 LTLIBINTL = @LTLIBINTL@
402 LTLIBOBJS = @LTLIBOBJS@
403 MAINT = @MAINT@
404 MAKEINFO = @MAKEINFO@
405 MATIO_CFLAGS = @MATIO_CFLAGS@
406 MATIO_ENABLE = @MATIO_ENABLE@
407 MATIO_LIBS = @MATIO_LIBS@
408 MKDIR_P = @MKDIR_P@
409 MPI_ENABLE = @MPI_ENABLE@
410 MSGCAT = @MSGCAT@
411 MSGFMT = @MSGFMT@
412 MSGFMT_015 = @MSGFMT_015@
413 MSGMERGE = @MSGMERGE@
414 NM = @NM@
415 NMEDIT = @NMEDIT@
416 OBJDUMP = @OBJDUMP@
417 OBJEXT = @OBJEXT@
418 OCAMLC = @OCAMLC@
419 OCAMLDEP = @OCAMLDEP@
420 OCAMLLEX = @OCAMLLEX@
421 OCAMLOPT = @OCAMLOPT@
422 OCAMLYACC = @OCAMLYACC@
423 OPENMPI_CC = @OPENMPI_CC@
424 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
425 OPENMPI_CXX = @OPENMPI_CXX@
426 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
427 OPENMPI_LIBS = @OPENMPI_LIBS@
428 OPENMP_CFLAGS = @OPENMP_CFLAGS@
429 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
430 OPENMP_ENABLE = @OPENMP_ENABLE@
431 OPENMP_LIBS = @OPENMP_LIBS@
432 OTOOL = @OTOOL@
433 OTOOL64 = @OTOOL64@
434 PACKAGE = @PACKAGE@
435 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436 PACKAGE_NAME = @PACKAGE_NAME@
437 PACKAGE_STRING = @PACKAGE_STRING@
438 PACKAGE_TARNAME = @PACKAGE_TARNAME@
439 PACKAGE_URL = @PACKAGE_URL@
440 PACKAGE_VERSION = @PACKAGE_VERSION@
441 PATH_SEPARATOR = @PATH_SEPARATOR@
442 PCRE_CFLAGS = @PCRE_CFLAGS@
443 PCRE_CONFIG = @PCRE_CONFIG@
444 PCRE_LIBS = @PCRE_LIBS@
445 PCRE_VERSION = @PCRE_VERSION@
446 PKG_CONFIG = @PKG_CONFIG@
447 POSUB = @POSUB@
448 POW_LIB = @POW_LIB@
449 PYTHON = @PYTHON@
450 RANLIB = @RANLIB@
451 RELOCATABLE = @RELOCATABLE@
452 RT_LIB = @RT_LIB@
453 SAXON = @SAXON@
454 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
455 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
456 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
457 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
458 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
459 SCIRENDERER = @SCIRENDERER@
460 SCIRENDERER_CP = @SCIRENDERER_CP@
461 SCI_CFLAGS = @SCI_CFLAGS@
462 SCI_CXXFLAGS = @SCI_CXXFLAGS@
463 SCI_FFLAGS = @SCI_FFLAGS@
464 SCI_LDFLAGS = @SCI_LDFLAGS@
465 SED = @SED@
466 SET_MAKE = @SET_MAKE@
467 SET_RELOCATABLE = @SET_RELOCATABLE@
468 SHELL = @SHELL@
469 SKINLF = @SKINLF@
470 SPLINT = @SPLINT@
471 STRIP = @STRIP@
472 SWIG_BIN = @SWIG_BIN@
473 SWIG_JAVA = @SWIG_JAVA@
474 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
475 SWIG_SCILAB = @SWIG_SCILAB@
476 TCLTK_LIBS = @TCLTK_LIBS@
477 TCL_INC_PATH = @TCL_INC_PATH@
478 TK_INC_PATH = @TK_INC_PATH@
479 UMFPACK_ENABLE = @UMFPACK_ENABLE@
480 UMFPACK_LIB = @UMFPACK_LIB@
481 USE_NLS = @USE_NLS@
482 VERSION = @VERSION@
483 WITH_OCAML = @WITH_OCAML@
484 WITH_TKSCI = @WITH_TKSCI@
485 XCOS_ENABLE = @XCOS_ENABLE@
486 XGETTEXT = @XGETTEXT@
487 XGETTEXT_015 = @XGETTEXT_015@
488 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
489 XMKMF = @XMKMF@
490 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
491 XML_APIS_EXT = @XML_APIS_EXT@
492 XML_CONFIG = @XML_CONFIG@
493 XML_FLAGS = @XML_FLAGS@
494 XML_LIBS = @XML_LIBS@
495 XML_VERSION = @XML_VERSION@
496 X_CFLAGS = @X_CFLAGS@
497 X_EXTRA_LIBS = @X_EXTRA_LIBS@
498 X_LIBS = @X_LIBS@
499 X_PRE_LIBS = @X_PRE_LIBS@
500 YACC = @YACC@
501 YFLAGS = @YFLAGS@
502 abs_builddir = @abs_builddir@
503 abs_srcdir = @abs_srcdir@
504 abs_top_builddir = @abs_top_builddir@
505 abs_top_srcdir = @abs_top_srcdir@
506 ac_ct_AR = @ac_ct_AR@
507 ac_ct_CC = @ac_ct_CC@
508 ac_ct_CXX = @ac_ct_CXX@
509 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
510 ac_ct_F77 = @ac_ct_F77@
511 am__include = @am__include@
512 am__leading_dot = @am__leading_dot@
513 am__quote = @am__quote@
514 am__tar = @am__tar@
515 am__untar = @am__untar@
516 bindir = @bindir@
517 build = @build@
518 build_alias = @build_alias@
519 build_cpu = @build_cpu@
520 build_os = @build_os@
521 build_vendor = @build_vendor@
522 builddir = @builddir@
523 cxx_present = @cxx_present@
524 datadir = @datadir@
525 datarootdir = @datarootdir@
526 docdir = @docdir@
527 dvidir = @dvidir@
528 exec_prefix = @exec_prefix@
529 host = @host@
530 host_alias = @host_alias@
531 host_cpu = @host_cpu@
532 host_os = @host_os@
533 host_vendor = @host_vendor@
534 htmldir = @htmldir@
535 includedir = @includedir@
536 infodir = @infodir@
537 install_sh = @install_sh@
538 libdir = @libdir@
539 libexecdir = @libexecdir@
540 localedir = @localedir@
541 localstatedir = @localstatedir@
542 mandir = @mandir@
543 mkdir_p = @mkdir_p@
544 oldincludedir = @oldincludedir@
545 pdfdir = @pdfdir@
546 prefix = @prefix@
547 program_transform_name = @program_transform_name@
548 psdir = @psdir@
549 sbindir = @sbindir@
550 sharedstatedir = @sharedstatedir@
551 srcdir = @srcdir@
552 sysconfdir = @sysconfdir@
553 target_alias = @target_alias@
554 top_build_prefix = @top_build_prefix@
555 top_builddir = @top_builddir@
556 top_srcdir = @top_srcdir@
557 yacc_present = @yacc_present@
558 SPREADSHEET_C_SOURCES = \
559 src/c/xls.c \
560 src/c/checkCsvWriteFormat.c \
561 src/c/csvDefault.c \
562 src/c/csvRead.c \
563 src/c/csvWrite.c \
564 src/c/getRange.c \
565 src/c/splitLine.c \
566 src/c/utftolatin.c
567
568 RIPOLE_SOURCES = \
569 src/c/ripole/olestream-unwrap.c \
570 src/c/ripole/pldstr.c \
571 src/c/ripole/ole.c \
572 src/c/ripole/bytedecoders.c \
573 src/c/ripole/logger.c \
574 src/c/ripole/ripole.c \
575 src/c/ripole/bt-int.c
576
577 GATEWAY_CXX_SOURCES = \
578 sci_gateway/cpp/sci_xls_read.cpp \
579 sci_gateway/cpp/sci_xls_open.cpp
580
581 libscispreadsheet_la_CPPFLAGS = \
582 -I$(srcdir)/includes/ \
583 -I$(srcdir)/src/c/ \
584 -I$(srcdir)/src/c/ripole \
585 -I$(top_srcdir)/libs/MALLOC/includes/ \
586 -I$(top_srcdir)/modules/output_stream/includes \
587 -I$(top_srcdir)/modules/api_scilab/includes \
588 -I$(top_srcdir)/modules/dynamic_link/includes \
589 -I$(top_srcdir)/modules/symbol/includes \
590 -I$(top_srcdir)/modules/ast/includes \
591 -I$(top_srcdir)/modules/threads/includes \
592 -I$(top_srcdir)/modules/operations/includes \
593 -I$(top_srcdir)/modules/system_env/includes \
594 -I$(top_srcdir)/modules/fileio/includes \
595 -I$(top_srcdir)/modules/types/includes/ \
596 -I$(top_srcdir)/modules/localization/includes/ \
597 -I$(top_srcdir)/modules/string/includes/ \
598 -I$(top_srcdir)/modules/string/src/c/ \
599 -I$(top_srcdir)/modules/io/includes/ \
600 -I$(top_srcdir)/modules/dynamic_link/includes \
601 $(AM_CPPFLAGS)
602
603 GATEWAY_C_SOURCES = \
604 sci_gateway/c/gw_spreadsheet.c \
605 sci_gateway/c/gw_csv_helpers.c \
606 sci_gateway/c/sci_csvDefault.c \
607 sci_gateway/c/sci_csvRead.c \
608 sci_gateway/c/sci_csvStringToDouble.c \
609 sci_gateway/c/sci_csvTextScan.c \
610 sci_gateway/c/sci_csvWrite.c
611
612 pkglib_LTLIBRARIES = libscispreadsheet.la
613 noinst_LTLIBRARIES = libscispreadsheet-algo.la
614 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
615 libscispreadsheet_la_SOURCES = $(GATEWAY_CXX_SOURCES) $(GATEWAY_C_SOURCES)
616 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
617
618 # For the code check (splint)
619 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_CXX_SOURCES) $(RIPOLE_SOURCES)
620 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
621 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la
622
623 #### Target ######
624 modulename = spreadsheet
625
626 #### spreadsheet : Conf files ####
627 libscispreadsheet_la_rootdir = $(mydatadir)
628 libscispreadsheet_la_root_DATA = license.txt
629
630 ####�spreadsheet : init scripts ####
631 libscispreadsheet_la_etcdir = $(mydatadir)/etc
632 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
633
634 ####�spreadsheet : gateway declaration ####
635 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
636 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
637
638 # Where all the Scilab stuff is installed (macros, help, ...)
639 mydatadir = $(pkgdatadir)/modules/$(modulename)
640
641 # Set AM_* SCI detected settings
642 AM_CPPFLAGS = $(SCI_CPPFLAGS)
643 AM_CFLAGS = $(SCI_CFLAGS)
644 AM_CXXFLAGS = $(SCI_CXXFLAGS)
645 # append includes to AM_FFLAGS to manage fortran includes
646 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
647
648 # Tag shared libraries with the Scilab version
649 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
650
651 # splint options
652 SPLINT_OPTIONS = -weak -booltype BOOL
653
654 ########################### JAVA ######################################
655 #### We are delegating java compilation to ant... Thanks to that
656 #### the procedure will be the same with Microsoft Windows (C)
657 #### and Linux/Unix
658 #######################################################################
659 TARGETS_ALL = $(am__append_1)
660
661 ################ MACROS ######################
662 # Rule to build a macro
663 # NOT USED  AT THE MOMENT
664 SUFFIXES = .sci 
665
666 ########### INSTALL DOCUMENTATION ###################
667
668 # Install documentation files into the right target
669 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
670 # automake needs the html files to be present which is not the case when
671 # we are building Scilab
672
673 # Where it should be installed
674 pkgdocdir = $(mydatadir)
675
676 # What is the mask of the help source
677 DOCMASKXML = *.xml
678
679 # What is the mask of the MathML sources
680 DOCMASKMML = *.mml
681
682 ########### INSTALL DATA ###################
683 # Install macros, help & demos
684 # Where it should be installed
685 pkgmacrosdir = $(mydatadir)
686 # Which directory we process
687 MACRODIRS = macros/
688 # Mask of the Scilab sources macros
689 MACROMASK = *.sci
690 # Mask of the Scilab executable sources macros
691 MACROBUILDMASK = *.sce
692 # Mask of the Scilab compiled macros
693 MACROBINMASK = *.bin
694 # List of the standard directory for tests
695 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
696 # Where the demos should be installed
697 pkgdemosdir = $(mydatadir)
698 # List of the standard directory for demos
699 DEMOS_DIR = demos
700 # List of the standard directory for examples
701 EXAMPLES_DIR = examples
702 # Where to export JAVA archives (.jar)
703 JARDIR = jar/
704 # JAR files mask
705 JARMASK = *.jar
706 # Chapter file 
707 HELP_CHAPTERDIR = help/
708 HELP_CHAPTERFILE = addchapter.sce
709 HELP_CHAPTERLANG = en_US fr_FR pt_BR
710 all: all-am
711
712 .SUFFIXES:
713 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
714 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
715         @for dep in $?; do \
716           case '$(am__configure_deps)' in \
717             *$$dep*) \
718               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
719                 && { if test -f $@; then exit 0; else break; fi; }; \
720               exit 1;; \
721           esac; \
722         done; \
723         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
724         $(am__cd) $(top_srcdir) && \
725           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
726 .PRECIOUS: Makefile
727 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
728         @case '$?' in \
729           *config.status*) \
730             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
731           *) \
732             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
733             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
734         esac;
735 $(top_srcdir)/Makefile.incl.am:
736
737 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
738         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
739
740 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
741         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
743         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744 $(am__aclocal_m4_deps):
745
746 clean-noinstLTLIBRARIES:
747         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
748         @list='$(noinst_LTLIBRARIES)'; \
749         locs=`for p in $$list; do echo $$p; done | \
750               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
751               sort -u`; \
752         test -z "$$locs" || { \
753           echo rm -f $${locs}; \
754           rm -f $${locs}; \
755         }
756
757 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
758         @$(NORMAL_INSTALL)
759         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
760         list2=; for p in $$list; do \
761           if test -f $$p; then \
762             list2="$$list2 $$p"; \
763           else :; fi; \
764         done; \
765         test -z "$$list2" || { \
766           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
767           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
768           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
769           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
770         }
771
772 uninstall-pkglibLTLIBRARIES:
773         @$(NORMAL_UNINSTALL)
774         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
775         for p in $$list; do \
776           $(am__strip_dir) \
777           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
778           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
779         done
780
781 clean-pkglibLTLIBRARIES:
782         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
783         @list='$(pkglib_LTLIBRARIES)'; \
784         locs=`for p in $$list; do echo $$p; done | \
785               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
786               sort -u`; \
787         test -z "$$locs" || { \
788           echo rm -f $${locs}; \
789           rm -f $${locs}; \
790         }
791
792 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
793         $(AM_V_CCLD)$(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
794
795 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
796         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
797
798 mostlyclean-compile:
799         -rm -f *.$(OBJEXT)
800
801 distclean-compile:
802         -rm -f *.tab.c
803
804 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
805 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
806 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
807 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
808 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
809 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
810 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
811 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
812 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
813 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
814 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
815 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
816 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
817 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
818 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
819 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
820 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
821 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
822 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
823 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
824 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
825 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
826 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
827 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
828
829 .c.o:
830 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
831 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
835
836 .c.obj:
837 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
838 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
842
843 .c.lo:
844 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
845 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
849
850 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
851 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
852 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
856
857 libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/c/checkCsvWriteFormat.c
858 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
859 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/checkCsvWriteFormat.c' object='libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
863
864 libscispreadsheet_algo_la-csvDefault.lo: src/c/csvDefault.c
865 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
866 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvDefault.c' object='libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
870
871 libscispreadsheet_algo_la-csvRead.lo: src/c/csvRead.c
872 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
873 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvRead.c' object='libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
877
878 libscispreadsheet_algo_la-csvWrite.lo: src/c/csvWrite.c
879 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
880 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvWrite.c' object='libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
884
885 libscispreadsheet_algo_la-getRange.lo: src/c/getRange.c
886 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-getRange.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
887 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo $(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getRange.c' object='libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
891
892 libscispreadsheet_algo_la-splitLine.lo: src/c/splitLine.c
893 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
894 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/splitLine.c' object='libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
898
899 libscispreadsheet_algo_la-utftolatin.lo: src/c/utftolatin.c
900 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
901 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/utftolatin.c' object='libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
905
906 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
907 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
908 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
910 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
911 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
912
913 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
914 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
915 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
918 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
919
920 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
921 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
922 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
925 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
926
927 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
928 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
929 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
932 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
933
934 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
935 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
936 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
940
941 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
942 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
943 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
947
948 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
949 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
950 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
954
955 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
956 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
957 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
961
962 libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/c/gw_csv_helpers.c
963 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
964 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_csv_helpers.c' object='libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
968
969 libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/c/sci_csvDefault.c
970 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
971 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvDefault.c' object='libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
975
976 libscispreadsheet_la-sci_csvRead.lo: sci_gateway/c/sci_csvRead.c
977 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
978 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvRead.c' object='libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
982
983 libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/c/sci_csvStringToDouble.c
984 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
985 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
986 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvStringToDouble.c' object='libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
988 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
989
990 libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/c/sci_csvTextScan.c
991 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
992 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
993 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvTextScan.c' object='libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
995 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
996
997 libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/c/sci_csvWrite.c
998 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
999 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
1000 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvWrite.c' object='libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1002 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
1003
1004 .cpp.o:
1005 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1006 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1007 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1008 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1009 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1010
1011 .cpp.obj:
1012 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1013 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1014 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1015 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1016 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1017
1018 .cpp.lo:
1019 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1020 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1021 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1022 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1023 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1024
1025 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/cpp/sci_xls_read.cpp
1026 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/cpp/sci_xls_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_read.cpp
1027 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
1028 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_xls_read.cpp' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
1029 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1030 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/cpp/sci_xls_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_read.cpp
1031
1032 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/cpp/sci_xls_open.cpp
1033 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/cpp/sci_xls_open.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_open.cpp
1034 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
1035 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_xls_open.cpp' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
1036 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1037 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/cpp/sci_xls_open.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_open.cpp
1038
1039 mostlyclean-libtool:
1040         -rm -f *.lo
1041
1042 clean-libtool:
1043         -rm -rf .libs _libs
1044 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
1045         @$(NORMAL_INSTALL)
1046         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1047         if test -n "$$list"; then \
1048           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1049           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
1050         fi; \
1051         for p in $$list; do \
1052           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1053           echo "$$d$$p"; \
1054         done | $(am__base_list) | \
1055         while read files; do \
1056           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1057           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
1058         done
1059
1060 uninstall-libscispreadsheet_la_etcDATA:
1061         @$(NORMAL_UNINSTALL)
1062         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1063         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1064         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1065 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1066         @$(NORMAL_INSTALL)
1067         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1068         if test -n "$$list"; then \
1069           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1070           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1071         fi; \
1072         for p in $$list; do \
1073           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1074           echo "$$d$$p"; \
1075         done | $(am__base_list) | \
1076         while read files; do \
1077           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1078           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1079         done
1080
1081 uninstall-libscispreadsheet_la_rootDATA:
1082         @$(NORMAL_UNINSTALL)
1083         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1084         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1085         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1086 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1087         @$(NORMAL_INSTALL)
1088         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1089         if test -n "$$list"; then \
1090           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1091           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1092         fi; \
1093         for p in $$list; do \
1094           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1095           echo "$$d$$p"; \
1096         done | $(am__base_list) | \
1097         while read files; do \
1098           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1099           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1100         done
1101
1102 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1103         @$(NORMAL_UNINSTALL)
1104         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1105         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1106         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1107
1108 ID: $(am__tagged_files)
1109         $(am__define_uniq_tagged_files); mkid -fID $$unique
1110 tags: tags-am
1111 TAGS: tags
1112
1113 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1114         set x; \
1115         here=`pwd`; \
1116         $(am__define_uniq_tagged_files); \
1117         shift; \
1118         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1119           test -n "$$unique" || unique=$$empty_fix; \
1120           if test $$# -gt 0; then \
1121             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1122               "$$@" $$unique; \
1123           else \
1124             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1125               $$unique; \
1126           fi; \
1127         fi
1128 ctags: ctags-am
1129
1130 CTAGS: ctags
1131 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1132         $(am__define_uniq_tagged_files); \
1133         test -z "$(CTAGS_ARGS)$$unique" \
1134           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1135              $$unique
1136
1137 GTAGS:
1138         here=`$(am__cd) $(top_builddir) && pwd` \
1139           && $(am__cd) $(top_srcdir) \
1140           && gtags -i $(GTAGS_ARGS) "$$here"
1141 cscopelist: cscopelist-am
1142
1143 cscopelist-am: $(am__tagged_files)
1144         list='$(am__tagged_files)'; \
1145         case "$(srcdir)" in \
1146           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1147           *) sdir=$(subdir)/$(srcdir) ;; \
1148         esac; \
1149         for i in $$list; do \
1150           if test -f "$$i"; then \
1151             echo "$(subdir)/$$i"; \
1152           else \
1153             echo "$$sdir/$$i"; \
1154           fi; \
1155         done >> $(top_builddir)/cscope.files
1156
1157 distclean-tags:
1158         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1159
1160 distdir: $(DISTFILES)
1161         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1162         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1163         list='$(DISTFILES)'; \
1164           dist_files=`for file in $$list; do echo $$file; done | \
1165           sed -e "s|^$$srcdirstrip/||;t" \
1166               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1167         case $$dist_files in \
1168           */*) $(MKDIR_P) `echo "$$dist_files" | \
1169                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1170                            sort -u` ;; \
1171         esac; \
1172         for file in $$dist_files; do \
1173           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1174           if test -d $$d/$$file; then \
1175             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1176             if test -d "$(distdir)/$$file"; then \
1177               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1178             fi; \
1179             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1180               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1181               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1182             fi; \
1183             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1184           else \
1185             test -f "$(distdir)/$$file" \
1186             || cp -p $$d/$$file "$(distdir)/$$file" \
1187             || exit 1; \
1188           fi; \
1189         done
1190 check-am: all-am
1191         $(MAKE) $(AM_MAKEFLAGS) check-local
1192 check: check-am
1193 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1194 installdirs:
1195         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1196           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1197         done
1198 install: install-am
1199 install-exec: install-exec-am
1200 install-data: install-data-am
1201 uninstall: uninstall-am
1202
1203 install-am: all-am
1204         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1205
1206 installcheck: installcheck-am
1207 install-strip:
1208         if test -z '$(STRIP)'; then \
1209           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1210             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1211               install; \
1212         else \
1213           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1214             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1215             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1216         fi
1217 mostlyclean-generic:
1218
1219 clean-generic:
1220
1221 distclean-generic:
1222         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1223         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1224
1225 maintainer-clean-generic:
1226         @echo "This command is intended for maintainers to use"
1227         @echo "it deletes files that may require special tools to rebuild."
1228 clean: clean-am
1229
1230 clean-am: clean-generic clean-libtool clean-local \
1231         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1232
1233 distclean: distclean-am
1234         -rm -rf ./$(DEPDIR)
1235         -rm -f Makefile
1236 distclean-am: clean-am distclean-compile distclean-generic \
1237         distclean-local distclean-tags
1238
1239 dvi: dvi-am
1240
1241 dvi-am:
1242
1243 html: html-am
1244
1245 html-am:
1246
1247 info: info-am
1248
1249 info-am:
1250
1251 install-data-am: install-data-local \
1252         install-libscispreadsheet_la_etcDATA \
1253         install-libscispreadsheet_la_rootDATA \
1254         install-libscispreadsheet_la_sci_gatewayDATA
1255
1256 install-dvi: install-dvi-am
1257
1258 install-dvi-am:
1259
1260 install-exec-am: install-pkglibLTLIBRARIES
1261
1262 install-html: install-html-am
1263
1264 install-html-am: install-html-local
1265
1266 install-info: install-info-am
1267
1268 install-info-am:
1269
1270 install-man:
1271
1272 install-pdf: install-pdf-am
1273
1274 install-pdf-am:
1275
1276 install-ps: install-ps-am
1277
1278 install-ps-am:
1279
1280 installcheck-am:
1281
1282 maintainer-clean: maintainer-clean-am
1283         -rm -rf ./$(DEPDIR)
1284         -rm -f Makefile
1285 maintainer-clean-am: distclean-am maintainer-clean-generic
1286
1287 mostlyclean: mostlyclean-am
1288
1289 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1290         mostlyclean-libtool
1291
1292 pdf: pdf-am
1293
1294 pdf-am:
1295
1296 ps: ps-am
1297
1298 ps-am:
1299
1300 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1301         uninstall-libscispreadsheet_la_rootDATA \
1302         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1303         uninstall-pkglibLTLIBRARIES
1304
1305 .MAKE: check-am install-am install-strip
1306
1307 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1308         check-local clean clean-generic clean-libtool clean-local \
1309         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1310         ctags ctags-am distclean distclean-compile distclean-generic \
1311         distclean-libtool distclean-local distclean-tags distdir dvi \
1312         dvi-am html html-am info info-am install install-am \
1313         install-data install-data-am install-data-local install-dvi \
1314         install-dvi-am install-exec install-exec-am install-html \
1315         install-html-am install-html-local install-info \
1316         install-info-am install-libscispreadsheet_la_etcDATA \
1317         install-libscispreadsheet_la_rootDATA \
1318         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1319         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1320         install-ps install-ps-am install-strip installcheck \
1321         installcheck-am installdirs maintainer-clean \
1322         maintainer-clean-generic mostlyclean mostlyclean-compile \
1323         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1324         tags tags-am uninstall uninstall-am \
1325         uninstall-libscispreadsheet_la_etcDATA \
1326         uninstall-libscispreadsheet_la_rootDATA \
1327         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1328         uninstall-pkglibLTLIBRARIES
1329
1330
1331 # This target enables tests for Scilab
1332 check-local: $(top_builddir)/scilab-bin test
1333         if test -d $(mydatadir)/tests; then \
1334           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1335         fi
1336 check-code:
1337         if test -f build.xml; then \
1338                 $(ANT) checkstyle; \
1339         fi
1340         if test -x "$(SPLINT)"; then \
1341                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1342         fi
1343 @NEED_JAVA_TRUE@java:
1344 # Some configurations needs to export JAVA_HOME in the current env
1345 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1346 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1347 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1348 @NEED_JAVA_TRUE@                $(ANT); \
1349 @NEED_JAVA_TRUE@        fi
1350
1351 @NEED_JAVA_TRUE@clean-java:
1352 # Some configurations needs to export JAVA_HOME in the current env
1353 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1354 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1355 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1356 @NEED_JAVA_TRUE@                $(ANT) clean; \
1357 @NEED_JAVA_TRUE@        fi;
1358
1359 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1360 # We call the target swig-build on the variable SWIG_WRAPPERS
1361
1362 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1363 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1364 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1365 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1366 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1367 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1368 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1369 @SWIG_TRUE@             done; \
1370 @SWIG_TRUE@     fi
1371
1372 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1373 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1374 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1375 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1376 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1377 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1378 @SWIG_TRUE@             done; \
1379 @SWIG_TRUE@     fi
1380
1381 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1382 # We call the target swig-build on the variable SWIG_WRAPPERS
1383
1384 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1385 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1386 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1387 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1388 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1389 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1390 @GIWS_TRUE@             done; \
1391 @GIWS_TRUE@     fi
1392
1393 @GIWS_TRUE@giws-exception:
1394 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1395 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1396 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1397
1398 macros:
1399         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1400                 echo "Error : Cannot build $< : Scilab has not been built"; \
1401         else \
1402                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1403         fi)
1404
1405 # Removes the macros
1406 clean-macros:
1407 # Removes macros (*.bin generated from .sci)
1408         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1409                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1410                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1411         done
1412
1413 test:
1414 # More tests could be added here
1415         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1416         if test -f build.xml -a $$USEANT -eq 1; then \
1417                 $(ANT) test; \
1418         fi
1419
1420 all-local: $(TARGETS_ALL)
1421
1422 .sci.bin:
1423         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1424         echo "Error : Cannot build $< : Scilab has not been build"; \
1425         else \
1426         echo "Creating $@"; \
1427         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1428         fi )
1429
1430 install-html-local:
1431
1432 install-data-local-local:
1433 # Mainly for javasci
1434         @if test -d $(srcdir)/javadoc; then \
1435                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1436         fi
1437 # If the user wants the help sources to be installed
1438 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1439 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1440 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1441 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1442 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1443 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1444 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1445 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1446 @INSTALL_HELP_XML_TRUE@           done ; \
1447 @INSTALL_HELP_XML_TRUE@         fi; \
1448 @INSTALL_HELP_XML_TRUE@  fi; \
1449 @INSTALL_HELP_XML_TRUE@ done; \
1450 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1451 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1452 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1453 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1454 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1455 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1456 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1457 @INSTALL_HELP_XML_TRUE@           done ; \
1458 @INSTALL_HELP_XML_TRUE@         fi; \
1459 @INSTALL_HELP_XML_TRUE@ fi
1460 install-data-local:
1461 # Install the tests
1462         @echo "-------- Install tests (if any) --------"; \
1463         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1464           if test -d $(srcdir)/$$dir/; then \
1465             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1466                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1467                     if test -d "$(srcdir)/$$dir/$$file"; then \
1468                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1469                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1470                     else \
1471                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1472                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1473                     fi \
1474                   done; \
1475           fi; \
1476         done
1477 # Install the help chapter
1478         @echo "-------- Install the help chapter (if any) --------"; \
1479         for lang in $(HELP_CHAPTERLANG); do \
1480                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1481                 if test -f $$HELPFILE; then \
1482                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1483                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1484                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1485                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1486                 fi; \
1487         done
1488 # Install the demos & examples
1489         @echo "-------- Install demos & examples (if any) --------"; \
1490         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1491           if test -d $(srcdir)/$$dir/; then \
1492             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1493                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1494                     if test -d "$(srcdir)/$$dir/$$file"; then \
1495                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1496                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1497                     else \
1498                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1499                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1500                     fi \
1501                   done; \
1502           fi; \
1503         done
1504 # Install the macros
1505         @echo "-------- Install macros (if any) --------"; \
1506         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1507           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1508                 if test -d $(srcdir)/$$dir/; then \
1509                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1510                         if test -n "$(MACROSSPECIALEXT)"; then \
1511                                 specialExtDir=""; \
1512                                 for specialExt in $(MACROSSPECIALEXT); do \
1513                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1514                                 done; \
1515                                 FILELIST="$$FILELIST $$specialExtDir"; \
1516                         fi; \
1517                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1518                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1519                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1520                   done; \
1521                 fi; \
1522         done
1523 # Install java files (.jar)
1524         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1525         echo "-------- Install jar files --------"; \
1526     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1527           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1528                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1529                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1530           done ; \
1531         fi
1532
1533 ########### CLEAN ###################
1534 # Clean help (generated automatically by Scilab)
1535 # It used to clean the macro (clean-macros) but this was causing
1536 # make clean && make to fail Scilab startup
1537 @NEED_JAVA_TRUE@clean-local: clean-java
1538 @NEED_JAVA_FALSE@clean-local:
1539
1540 distclean-local:
1541         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1542
1543 .PHONY: macros java swig giws
1544
1545 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1546 # Otherwise a system limit (for SysV at least) may be exceeded.
1547 .NOEXPORT: